Redmine - Defect #37676

Image base64 are not displayed
2022-09-14 11:51 - Black Zajaz

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 5.0.2

Description

After upgrade from 4.1.1 to 5.0.2 Images are not displayed.

Into Database are saved with html base64 code

<img alt="" src="data:image/png;base64, iVBORWOKGgoAAAANSUhEUgAAABOAAAAXCAIAAACat shHAAACUULIEQVQ4jd3

Uy08TURQGcLb+F+7ZunDhTjduQOPOBxYCptgEOUhs. . . .

but this is not displayed into HTML.

<img alt="" height="397" width="701">

Why is source text not read?

n />

History

#1 - 2022-09-14 16:34 - Black Zajaz

I'm need a workaround.

| have pictures from issues and wikis of last 10 years.

Anyone have an idea?

#2 - 2022-09-15 04:45 - Go MAEDA

- Status changed from New to Needs feedback

Redmine core does not have a feature to embed an image using an img tag with base64 data. Probably it is a feature added by some plugin, isn't it?

| recommend you to contact the author of the plugin.

#3 - 2022-09-15 08:01 - Black Zajaz

| have contacted owner from ckeditor plugin.
Here is answer:

https://github.com/a-ono/redmine_ckeditor/issues/349#issuecomment-1156472120

(

#4 - 2022-09-15 08:32 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Unfortunately there is nothing we can do about the plugin.

#5 - 2022-09-15 08:53 - Black Zajaz

- Status changed from Closed to Reopened

i don't want to use plugin, i just want support.
https://github.com/a-ono/redmine_ckeditor/issues/349#issuecomment-1156472120

I look for alternatives.

#6 - 2022-09-15 09:21 - Go MAEDA

Since the problem is caused by a third-party plugin, it is not appropriate to open an issue here. Please use forums for asking for help.

If you need support for CK Editor plugin, maybe you can contact the RedmineX team.
https://www.redmine-x.com/redmine-x-plugins/roadmap/ck-editor-take-over

#7 - 2022-09-1509:26 - C S

Do you still have CK Editor installed?
Which text formatter did you choose?
Currently the best solution: Common Markdown (~95% of the CK-Editor HTML code is translated by us)

#8 - 2022-09-15 12:43 - Black Zajaz

Thank, for answer.

But, i don't want to use plugin.

I'm need a workaround for convert pictures or a path for use base64 data.
You can close this issue.
#9 - 2024-01-21 10:07 - Go MAEDA

- Status changed from Reopened to Closed
